# synapses package

Package providing synapse support.

Exported members: `Synapses`

## `parse_synaptic_generator_syntax` module

Exported members: `parse_synapse_generator`

Functions

`handle_range`(*args, **kwds) | Checks the arguments/keywords for the range iterator

`handle_sample`(*args, **kwds) | Checks the arguments/keywords for the sample iterator

`parse_synapse_generator`(expr) | Returns a parsed form of a synapse generator expression.

## `spikequeue` module

The spike queue class stores future synaptic events produced by a given presynaptic neuron group (or postsynaptic for backward propagation in STDP).

Exported members: `SpikeQueue`

Classes

`SpikeQueue`(source_start, source_end) | Data structure saving the spikes and taking care of delays.

## `synapses` module

Module providing the `Synapses` class and related helper classes/functions.

Exported members: `Synapses`

Classes

`StateUpdater`(*args, **kw) | The `CodeRunner` that updates the state variables of a `Synapses` at every timestep.

`SummedVariableUpdater`(*args, **kw) | The `CodeRunner` that updates a value in the target group with the sum over values in the `Synapses` object.

`Synapses`(*args, **kw) | Class representing synaptic connections.

`SynapticIndexing`(synapses) |

`SynapticPathway`(*args, **kw) | The `CodeRunner` that applies the pre/post statement(s) to the state variables of synapses where the pre-/postsynaptic group spiked in this time step.

`SynapticSubgroup`(synapses, indices) | A simple subgroup of `Synapses` that can be used for indexing.

Functions

`find_synapses`(index, synaptic_neuron) |

`slice_to_test`(x) | Returns a testing function corresponding to whether an index is in slice x.